package com.bonus.canteen.core.supply.purchase.domain.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel(
   value = "DrpMaterialInquiryDetail对象",
   description = "货品招标明细表"
)
public class DrpMaterialInquiryDetail {
   @ApiModelProperty("货品招标明细id")
   private Long materialInquiryDetailId;
   @ApiModelProperty("货品招标单号")
   private String materialInquiryId;
   @ApiModelProperty("货品id")
   private Long materialId;
   @ApiModelProperty("意向中标价")
   private Integer targetPrice;
   @ApiModelProperty("采购数量")
   private BigDecimal purNum;
   @ApiModelProperty("备注说明")
   private String remark;
   @ApiModelProperty("规格")
   private String size;
   @ApiModelProperty("预算单价")
   private Integer budgetUnitPrice;

   public Long getMaterialInquiryDetailId() {
      return this.materialInquiryDetailId;
   }

   public String getMaterialInquiryId() {
      return this.materialInquiryId;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public Integer getTargetPrice() {
      return this.targetPrice;
   }

   public BigDecimal getPurNum() {
      return this.purNum;
   }

   public String getRemark() {
      return this.remark;
   }

   public String getSize() {
      return this.size;
   }

   public Integer getBudgetUnitPrice() {
      return this.budgetUnitPrice;
   }

   public DrpMaterialInquiryDetail setMaterialInquiryDetailId(final Long materialInquiryDetailId) {
      this.materialInquiryDetailId = materialInquiryDetailId;
      return this;
   }

   public DrpMaterialInquiryDetail setMaterialInquiryId(final String materialInquiryId) {
      this.materialInquiryId = materialInquiryId;
      return this;
   }

   public DrpMaterialInquiryDetail setMaterialId(final Long materialId) {
      this.materialId = materialId;
      return this;
   }

   public DrpMaterialInquiryDetail setTargetPrice(final Integer targetPrice) {
      this.targetPrice = targetPrice;
      return this;
   }

   public DrpMaterialInquiryDetail setPurNum(final BigDecimal purNum) {
      this.purNum = purNum;
      return this;
   }

   public DrpMaterialInquiryDetail setRemark(final String remark) {
      this.remark = remark;
      return this;
   }

   public DrpMaterialInquiryDetail setSize(final String size) {
      this.size = size;
      return this;
   }

   public DrpMaterialInquiryDetail setBudgetUnitPrice(final Integer budgetUnitPrice) {
      this.budgetUnitPrice = budgetUnitPrice;
      return this;
   }
}
